com.hazelcast.cp.session

## Enum CPSession.CPSessionOwnerType

- java.lang.Object
- - java.lang.Enum<CPSession.CPSessionOwnerType>
  - - com.hazelcast.cp.session.CPSession.CPSessionOwnerType

- All Implemented Interfaces:
    Serializable, Comparable<CPSession.CPSessionOwnerType>
  Enclosing interface:
    CPSession

      public static enum CPSession.CPSessionOwnerType
      extends Enum<CPSession.CPSessionOwnerType>

  Represents type of endpoints that create CP sessions

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENT` Represents a Hazelcast client
    `SERVER` Represents a Hazelcast server

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CPSession.CPSessionOwnerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CPSession.CPSessionOwnerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SERVER

          public static final CPSession.CPSessionOwnerType SERVER

      Represents a Hazelcast server

    - #### CLIENT

          public static final CPSession.CPSessionOwnerType CLIENT

      Represents a Hazelcast client

  - ### Method Detail

    - #### values

          public static CPSession.CPSessionOwnerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CPSession.CPSessionOwnerType c : CPSession.CPSessionOwnerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CPSession.CPSessionOwnerType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019. All rights reserved.